import 'package:flutter_bloc/flutter_bloc.dart';


base class BaseCubit<T> extends Cubit<T> {
  BaseCubit(super.initialState);

  // emit tetiklendiğinde sayfa geçerli değil ise ekrana haber vermesin diye bu işlemi gerçekleştirdik.
  // isClosed bloc kapalı mı bunu dönüyor, kapatıldıysa true, aktif ise false

  void safeEmit(T state) {
    if (isClosed) return;
    emit(state);
  }

  
}
